import request from '@/utils/request'

// 查询家族园地图片列表
export function listImg(query) {
  return request({
    url: '/system/gardenImg/list',
    method: 'get',
    params: query
  })
}

// 查询家族园地图片详细
export function getImg(id) {
  return request({
    url: '/system/gardenImg/' + id,
    method: 'get'
  })
}

// 新增家族园地图片
export function addImg(data) {
  return request({
    url: '/system/gardenImg',
    method: 'post',
    data: data
  })
}

// 修改家族园地图片
export function updateImg(data) {
  return request({
    url: '/system/gardenImg',
    method: 'put',
    data: data
  })
}

// 删除家族园地图片
export function delImg(id) {
  return request({
    url: '/system/gardenImg/' + id,
    method: 'delete'
  })
}

// 导出家族园地图片
export function exportImg(query) {
  return request({
    url: '/system/gardenImg/export',
    method: 'get',
    params: query
  })
}